Package org.globus.io.gass.client.internal

# Class GASSProtocol

java.lang.Object
org.globus.io.gass.client.internal.GASSProtocol

public class GASSProtocol extends Object
This is a pure Java implementation of the Globus GASS protocol. Normally one does not need to use this class directly but instead uses the Client class.

## Constructor Summary

Constructors
Constructor
Description
`GASSProtocol()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`GET(String path, String host)`
This method concatenates a properly formatted header for performing Globus Gass GETs with the given information.
`static String`
`PUT(String path, String host, long length, boolean append)`
This method concatenates a properly formatted header for performing Globus Gass PUTs with the given information.
`static String`
`SHUTDOWN(String path, String host)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GASSProtocol

public GASSProtocol()

## Method Details

### GET

public static String GET(String path, String host)
This method concatenates a properly formatted header for performing Globus Gass GETs with the given information.

Parameters:
  `path` - the path of the file to get
  `host` - the host which contains the file to get
Returns:
  `String` the properly formatted header to be sent to a gass server

### PUT

public static String PUT(String path, String host, long length, boolean append)
This method concatenates a properly formatted header for performing Globus Gass PUTs with the given information.

Parameters:
  `path` - the path of the remote file to put to
  `host` - the host of the remote file to put to
  `length` - the length of data which will be sent (the size of the file)
  `append` - append mode
Returns:
  `String` the properly formatted header to be sent to a gass server

### SHUTDOWN

public static String SHUTDOWN(String path, String host)